package templates

import (
	_ "embed"
)

//go:embed card/en.html
var CardTemplateEn string

//go:embed card/de.html
var CardTemplateDe string

//go:embed contract/en.html
var ContractTemplateEn string

//go:embed contract/de.html
var ContractTemplateDe string

func GetTemplate(locale, template string) string {
	switch template {
	case "card":
		switch locale {
		case "en":
			return CardTemplateEn
		case "de":
			return CardTemplateDe
		}
	case "contract":
		switch locale {
		case "en":
			return ContractTemplateEn
		case "de":
			return ContractTemplateDe
		}
	}
	return ""
}
